inotify-tools on openmoko

Rod Whitby rod at
Thu Sep 25 00:16:15 CEST 2008

Joel Newkirk wrote:
> On Wed, 24 Sep 2008 15:44:34 +0100, Al Johnson
> <openmoko at> wrote:
>> On Wednesday 24 September 2008, jitendersingh wrote:
>>> hi,
>>>    Do openmoko has support for inotify-tools.
>>>    (more information on inotify tools on
>>>    if not, how can I port inotify-tools to openmoko.
>> OpenEmbedded has inotify-tools 3.12 so there is a fair chance it will
>> build
>> and run on openmoko. Under mokomakefile it would be:
>> 	make build-package-inotify-tools
> If not, I successfully built 3.13 (untested though, my Freerunner's not
> here ATM) with just a slight alteration to the configure script -
> circumventing the inotify test that's not possible when cross-compiling
> anyway.  (seems kinda shortsighted to actually check if you're
> cross-compiling but then fail instead of warn and attempt)

Both 2.1 and 3.12 build for FSO (so should build for other openmoko
distros too), but 2.1 is specified in the openmoko pinned versions file.

If someone can verify that the 3.12 version from OpenEmbedded actually
does something sensible on an openmoko phone, then I can change the
pinning to 3.12 and add it to and it will
automatically appear in the fso feeds.

-- Rod

More information about the community mailing list